/**
 * base    : 基础业务API
 * buyer   : 买家API
 */
// 开发环境
const BASE = {
  development: {
    common: "http://portal.cloudsmake.cn",
    event: 'http://118.31.124.88:21111',
    h5: 'http://192.168.0.23:8080/index.html#/'
  },
  stest: {
    common: "http://portal.cloudsmake.cn",
    event: 'http://118.31.124.88:21111',
    h5: 'http://ddang-h5-s.rockstect.cn/index.html'
  },
  gray: {
    common: "https://api.yyhock.com",
    event: 'https://event.jqtianxia.com',
    h5: 'https://ddang-h5-g.rockstect.cn/index.html#/'
  },
  prod: {
    common: "https://api.yyhock.com",
    event: 'https://event.jqtianxia.com',
    h5: 'https://ddang.rockstect.com/v1.0.8.html'
  }
}
let env = process.env.VUE_APP_BASE_NODE_ENV

/**
 * ==========================
 * APP打包运行需自定义环境env  * 
 * development 开发环境      *
 * stest       S测试环境     *
 * gray        灰度环境      *
 * prod        生产环境      *
 * ==========================
 */

// #ifdef APP-PLUS
env = "stest";
// #endif

const api = {
  common: BASE[env].common,
  event: BASE[env].event,
  h5: BASE[env].h5
}

export default {
  ...api,
  env,
};
