
import { Jump } from "@/utils/route.js";
import api from '@/config/api.js'
export default {
    data() {
        return {
            isInitOk: false,

            // 如果页面开启了下拉刷新，用来判断关闭下拉刷新的
            isPullDownRefresh: false
        }
    },
    onTabItemTap(e) {
        const { text } = e;
        switch (text) {
            case "贷款":
                this.buryingPoint('app:loan_index_tab_click')
                break;
            case "首页":
                this.buryingPoint('app:index_tab_click')
                break;
            case "分类":
                this.buryingPoint('app:category_tab_click')
                break;
            case "我的":
                this.buryingPoint('app:my_tab_click')
                break;
        }

    },
    methods: {
        /** 埋点 */
        buryingPoint(des, val) {
            const mobile = uni.getStorageSync('l-mobile')
            const BaseUrl = api.event
            try {
                const data = {
                    id: mobile ? mobile : val,
                    event: des,
                    type: "DDH-APP",
                };

                uni.request({
                    url: `${BaseUrl}/event`,
                    method: 'POST',
                    data: {
                        ...data
                    },
                    success: (res) => {
                        // console.log(res, '埋点返回')
                    },
                    fail: (err) => {
                        // console.log(err, '埋点报错')
                    }
                })

            } catch (err) {
                console.log(err, "埋点请求报错");
            }
        },

        // 检查是否开启了下拉刷新
        checkPullDownRefresh() {
            if (this.isPullDownRefresh) {
                uni.stopPullDownRefresh()
            }
        },

        //封装post调用接口的方法,
        formatMoney: function (s, n) {
            if (!s) s = 0
            n = n > 0 && n <= 20 ? n : 2
            s = parseFloat((s + '').replace(/[^\d.-]/g, '')).toFixed(n) + ''
            const l = s.split('.')[0].split('').reverse()
            const r = s.split('.')[1]
            let t = ''
            for (let i = 0; i < l.length; i++) {
                t += l[i] + ((i + 1) % 3 === 0 && (i + 1) !== l.length ? ',' : '')
            }
            return t.split('').reverse().join('') + '.' + r
        },
        // 跳转到登录页面
        JumpToLogin() {
            console.log('调到登录页面')
            return this.Go('uni:/pages/login/login')
        },


        // 页面跳转
        Go(url, type) {
            Jump(url, type)
        },
        // 返回
        Back(num = 1) {
            uni.navigateBack({
                delta: num
            })
        },
        // 打电话
        handleCall(phoneNumber) {
            uni.makePhoneCall({
                phoneNumber
            })
        },
        // Toast提示框
        toast(title, type) {
            uni.showToast({
                icon: type ? type : "none",
                title
            })
        }
    }
}
