// 把方法修改成Promise函数
export const convertPromise = function (FnName, params = {}) {
    return new Promise((resolve, reject) => {
        uni[FnName]({
            ...params,
            success: function (res) {
                return resolve(res)
            },
            fail: function (err) {
                console.log(err, `处理${FnName}方法信息报错`)
                return reject(err)
            },
            complete: function (res) {
                //console.log(res,`处理${FnName}方法信息完成`)
            }
        })
    });
}

// 初始化请求头的device参数信息
export const initHeaderDevice = function () {
    let modelApp = '', systemInfo = {};

    // 手机型号
    if (uni.getStorageSync('m-agreement') || plus.runtime.isAgreePrivacy) {
        uni.getSystemInfo({
            success: function (res) {
                modelApp = res.deviceBrand
                systemInfo = res
            }
        })
    }

    let channel = plus && plus.runtime.channel && plus.runtime.channel;
	const {system='',screenHeight='',screenWidth='',platform='',osVersion='',osName='',deviceBrand=''} = systemInfo
    // 获取版本号
    let AppVersion = uni.getStorageSync('m-header-version');
    AppVersion = AppVersion === '1.0.8' ? AppVersion : '1.0.8';
    const common = {
        appName: 'DDH',
        appSourceId: modelApp,
        // mac: "", // mac
        // wifiMac: "", // wifimac
        // clientIp: "",
        // carrierOperator: '', //运营商
        pushType: "1", //设备push接入类型(1. 小米PUSH，2. 极光PUSH)
        // electricQuantity: "", //电量
        // totalStorage: "", //存储总空间
        // availableStorage: "", //可用存储空间
        channel: channel ? channel : '',
        token: new Date().getTime(),
        device: plus.os.name,
        appVersion: AppVersion,
		system,
        screenHeight,
        screenWidth,
        platform,
        osName,
        osVersion,
        deviceBrand
    };

    const deviceInfo = uni.getStorageSync('m-device-info')
    const networkInfo = uni.getStorageSync('m-network-info')
    const locationInfo = uni.getStorageSync('m-location-info')
    const loadUuid = uni.getStorageSync('m-load-udid')

    let device = {...common}
    if (deviceInfo) {

        device = Object.assign(device, common, JSON.parse(deviceInfo))
    }
    if (networkInfo) {
        device = Object.assign(device, common, JSON.parse(networkInfo))
    }
    if (locationInfo) {
        device = Object.assign(device, common, JSON.parse(locationInfo))
    }
    if (loadUuid) {
        device = Object.assign(device, common, JSON.parse(loadUuid))
    }

    if (deviceInfo && networkInfo && loadUuid && locationInfo) {
        const headerDeviceInfo = {
            ...JSON.parse(deviceInfo),
            ...JSON.parse(networkInfo),
            ...JSON.parse(locationInfo),
            ...JSON.parse(loadUuid),
            ...common
        }

        // 存储所有请求的头部信息
        uni.setStorage({
            key: 'm-header-device',
            data: JSON.stringify(headerDeviceInfo)
        });

        return headerDeviceInfo
    }

    console.log(device,'请求头信息')

    return device
}
